> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List spending plans

>  

This endpoint returns a list of information about all `spending_plan` resources associated with the user for which the Nexus session is open.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /spending_plans
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /spending_plans:
    get:
      tags:
        - spending plan
      summary: List spending plans
      description: >-
        This endpoint returns a list of information about all `spending_plan`
        resources associated with the user for which the Nexus session is open.
      operationId: listSpendingPlans
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/SpendingPlansResponseBody'
components:
  schemas:
    SpendingPlansResponseBody:
      properties:
        spending_plans:
          items:
            $ref: '#/components/schemas/SpendingPlanResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    SpendingPlanResponse:
      properties:
        created_at:
          example: '2016-10-13T18:08:00.000Z'
          nullable: true
          type: string
          description: The date and time at which the `spending_plan` was created.
        current_iteration_number:
          example: 1
          nullable: true
          type: integer
          description: >-
            The current active associated `spending_plan_iteration` number for a
            given `spending_plan`.
        guid:
          example: SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262
          nullable: true
          type: string
          description: The unique identifier for the `spending_plan`. Defined by MX.
        updated_at:
          example: '2016-10-13T18:09:00+00:00'
          nullable: true
          type: string
          description: >-
            The date and time at which the `spending_plan` was most recently
            updated.
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
          description: >-
            The unique identifier for the user to which the `spending_plan`
            belongs. Defined by MX.
      type: object
    PaginationResponse:
      properties:
        current_page:
          type: integer
          example: 1
        per_page:
          example: 25
          type: integer
        total_entries:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 1
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````